python2-rpkg-1.57-6.el6.noarch.rpm


Advertisement

Description

python2-rpkg - Python library for interacting with rpm+git

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename python2-rpkg-1.57-6.el6.noarch.rpm
Package name python2-rpkg
Package version 1.57
Package release 6.el6
Package architecture noarch
Package type rpm
Homepage https://pagure.io/rpkg
License GPLv2+ and LGPLv2
Maintainer -
Download size 174.86 KB
Installed size 622.81 KB
A python library for managing RPM package sources in a git repository.

Alternatives

Package Version Architecture Repository
python2-rpkg-1.57-6.el6.noarch.rpm 1.57 noarch EPEL
python2-rpkg - - -

Requires

Name Value
GitPython >= 0.2.0
PyYAML -
mock -
python(abi) = 2.6
python-argparse -
python-pycurl -
python-requests -
python-six >= 1.9.0
python2-cccolutils -
python2-koji >= 1.15
redhat-rpm-config -
rpkg-common = 1.57-6.el6
rpm-build -
rpm-python -
rpmlint -

Provides

Name Value
pyrpkg = 1.57-6.el6
python-rpkg = 1.57-6.el6
python2-rpkg = 1.57-6.el6

Conflicts

Name Value
fedpkg < 1.26

Obsoletes

Name Value
pyrpkg < 1.49-2
python-rpkg < 1.57-6.el6

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package python2-rpkg-1.57-6.el6.noarch.rpm
Source Package rpkg-1.57-6.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install python2-rpkg rpm package:
    # yum install python2-rpkg

Files

Path
/usr/lib/python2.6/site-packages/pyrpkg/__init__.py
/usr/lib/python2.6/site-packages/pyrpkg/__init__.pyc
/usr/lib/python2.6/site-packages/pyrpkg/__init__.pyo
/usr/lib/python2.6/site-packages/pyrpkg/cli.py
/usr/lib/python2.6/site-packages/pyrpkg/cli.pyc
/usr/lib/python2.6/site-packages/pyrpkg/cli.pyo
/usr/lib/python2.6/site-packages/pyrpkg/errors.py
/usr/lib/python2.6/site-packages/pyrpkg/errors.pyc
/usr/lib/python2.6/site-packages/pyrpkg/errors.pyo
/usr/lib/python2.6/site-packages/pyrpkg/gitignore.py
/usr/lib/python2.6/site-packages/pyrpkg/gitignore.pyc
/usr/lib/python2.6/site-packages/pyrpkg/gitignore.pyo
/usr/lib/python2.6/site-packages/pyrpkg/lookaside.py
/usr/lib/python2.6/site-packages/pyrpkg/lookaside.pyc
/usr/lib/python2.6/site-packages/pyrpkg/lookaside.pyo
/usr/lib/python2.6/site-packages/pyrpkg/man_gen.py
/usr/lib/python2.6/site-packages/pyrpkg/man_gen.pyc
/usr/lib/python2.6/site-packages/pyrpkg/man_gen.pyo
/usr/lib/python2.6/site-packages/pyrpkg/sources.py
/usr/lib/python2.6/site-packages/pyrpkg/sources.pyc
/usr/lib/python2.6/site-packages/pyrpkg/sources.pyo
/usr/lib/python2.6/site-packages/pyrpkg/utils.py
/usr/lib/python2.6/site-packages/pyrpkg/utils.pyc
/usr/lib/python2.6/site-packages/pyrpkg/utils.pyo
/usr/lib/python2.6/site-packages/rpkg-1.57-py2.6.egg-info/PKG-INFO
/usr/lib/python2.6/site-packages/rpkg-1.57-py2.6.egg-info/SOURCES.txt
/usr/lib/python2.6/site-packages/rpkg-1.57-py2.6.egg-info/dependency_links.txt
/usr/lib/python2.6/site-packages/rpkg-1.57-py2.6.egg-info/requires.txt
/usr/lib/python2.6/site-packages/rpkg-1.57-py2.6.egg-info/top_level.txt
/usr/share/doc/python2-rpkg-1.57/CHANGELOG.rst
/usr/share/doc/python2-rpkg-1.57/COPYING
/usr/share/doc/python2-rpkg-1.57/COPYING-koji
/usr/share/doc/python2-rpkg-1.57/LGPL
/usr/share/doc/python2-rpkg-1.57/README.rst

Changelog

2019-02-07 - Ondřej Nosek <onosek@redhat.com> - 1.57-6
- Revert previous change.
Now python-gobject-base & libmodulemd are removed from epel7 and RHEL7
2019-02-05 - Ondřej Nosek <onosek@redhat.com> - 1.57-5
- python-gobject-base & libmodulemd also for epel7 and RHEL7
2019-02-04 - Lubomír Sedlář <lsedlar@redhat.com> - 1.57-4
- Disable Py2 package on F30+
2019-02-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
2019-01-03 - Ondřej Nosek <onosek@redhat.com> - 1.57-2
- Merge changes of the .spec files for Fedora and RHEL
2018-12-13 - Ondřej Nosek <onosek@redhat.com> - 1.57-1
- Use idna 2.7 for Python 2.6 (lsedlar)
- Imports are sorted (onosek)
- libmodulemd is missing on el7 - #402 (onosek)
- Initialize bash autocompletion (onosek)
- Set configuration in case of "clone --branches" as well (tim)
- Fix fake spec file for clog tests (cqi)
- Move argparse fix from fedpkg - #398 (onosek)
- Send source mtime to dist-git - 220 (lsedlar)
- Fix tests for mock package manager (lsedlar)
- Specify package manager for mock-config (lsedlar)
- Add contributing guide (onosek)
- Validate the module build optional argument when parsing the argument
(mprahl)
- Add config options to parse the base module (e.g. platform) stream from the
dist-git branch and apply a buildrequire override (mprahl)
- Add the ability to pass in buildrequire and require overrides on a module
build (mprahl)
- Raise an error if the module build command receives optional arguments that
conflict (mprahl)
- Silence Python3 SafeConfigParser warnings (mmathesi)
- Allow to pass posargs to tox from make (cqi)
- Specify dependent packages in one place (cqi)
- Don't registry flatpak-build command on Python-2.6 (otaylor)
- Add flatpak-build subcommand (otaylor)
- Don't pass the MBS API URL around as a parameter (otaylor)
- TestContainerBuildWithKoji: tear down the mock appropriately (otaylor)
- Refine test runner for py26 (cqi)
2018-09-07 - Owen Taylor <otaylor@redhat.com> - 1.56-2
- Add patch from upstream pull-request to add a flatpak-build subcommand
- Add PyYAML dependencies so that the spec file at least builds on epel6/epel7
2018-08-21 - Chenxiong Qi <cqi@redhat.com> - 1.56-1
- Validate greenwave policy early in Commands.build (cqi)
- Refine error message for failure gating.yaml validation (cqi)
- explain mbs-manager exception handling (nils)
- test for missing mbs-manager with errno set (nils)
- catch errno == ENOENT if mbs-manager is missing (nils)
- add missing method docstring (nils)
- Show full error from MBS (lsedlar)
- Fix tests for greenwave policy validation (cqi)
- Add testenv for building docs (cqi)
- New option --buildrootdir - rhbz#1583822 (cqi)
- Add --shell option to mockbuild - rhbz#1438685 (cqi)
- Validate gating.yaml file for Greenwave gating (gnaponie)
- Update README (cqi)
- Reduce the number of repo creation for tests (cqi)
- Fix flake8 error (cqi)
- Drop rpm-py-installer from requires - #357 (cqi)
- Allow _run_command to capture and return output to stdout or stderr (cqi)
- Claim Python 3.7 in README and package classifiers (cqi)
- Fix a bad test teardown (otaylor)
- Refactor build command (cqi)
- Remove rpmfluff package (cqi)
- Set PYCURL_SSL_LIBRARY directly for installing pycurl (cqi)
- Add py37 testenv (cqi)
2018-07-26 - Chenxiong Qi <cqi@redhat.com> - 1.55-2
- Remove dependency python-rpmfluff

See Also

Package Description
python2-rpm-macros-3-14.el6.noarch.rpm RPM macros for building Python 2 packages
python2-rsa-3.4.1-1.el6.noarch.rpm Pure-Python RSA implementation
python2-scandir-1.9.0-1.el6.x86_64.rpm A better directory iterator and faster os.walk() for Python
python2-setuptools-0.6.10-0.el6.noarch.rpm Dummy package for python-setuptools
python2-sh-1.12.14-6.el6.noarch.rpm Python subprocess replacement
python2-six-1.9.0-0.el6.noarch.rpm Dummy package depending on python-six
python2-speedtest-cli-1.0.2-1.el6.noarch.rpm Command line interface for testing internet bandwidth using speedtest.net
python2-sphinx-0.6.6-0.el6.noarch.rpm Dummy package depending on python-sphinx
python2-sphinx-bootstrap-theme-0.4.13-2.el6.noarch.rpm A sphinx theme that integrates the Bootstrap framework
python2-sphinxcontrib-httpdomain-1.7.0-1.el6.noarch.rpm Sphinx domain for documenting HTTP APIs
python2-sphinxcontrib-spelling-4.2.0-1.el6.noarch.rpm A spelling checker for Sphinx-based documentation
python2-tabulate-0.7.7-1.el6.noarch.rpm Pretty-print tabular data in Python, a library and a command-line utility
python2-testify-0.11.0-1.el6.noarch.rpm A replacement for Python's unittest module and nose
python2-tqdm-4.10.0-2.el6.2.noarch.rpm A Fast, Extensible Progress Meter
python2-unidiff-0.5.4-1.el6.noarch.rpm Python library to parse and interact with unified diffs (patches)
Advertisement
Advertisement